curl --request POST \
--url https://api-prod.blaaiz.com/api/external/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2026-03-01",
"end_date": "2026-03-13",
"status": "SUCCESSFUL",
"type": "SWAP"
}
'{
"message": "Transactions retrieved successfully",
"data": [
{
"id": "txn_collection_001",
"business_id": "business_123",
"business_customer_id": "customer_123",
"business_wallet_id": "wallet_ngn_001",
"status": "SUCCESSFUL",
"refund_status": null,
"type": "collection",
"reference": "collection_ref_001",
"external_reference": "NGN-COLLECTION-001",
"currency": "NGN",
"amount": 50000,
"amount_without_fee": 50000,
"fee": 0,
"rate": null,
"date": "2026-03-13T09:10:00.000000Z",
"payee_collection_email": "customer@company.com",
"source_information": {
"collection_email": "collections@blaaiz.com",
"collection_name": "John Doe"
},
"swap_details": null,
"recipient": null
},
{
"id": "txn_payout_001",
"business_id": "business_123",
"business_customer_id": "customer_123",
"business_wallet_id": "wallet_ngn_001",
"status": "SUCCESSFUL",
"refund_status": null,
"type": "payout",
"reference": "payout_ref_001",
"external_reference": "NGN-PAYOUT-001",
"currency": "NGN",
"amount": 50000,
"amount_without_fee": 49500,
"fee": 500,
"rate": null,
"date": "2026-03-13T10:30:00.000000Z",
"payee_collection_email": null,
"source_information": {
"collection_email": null,
"collection_name": null
},
"swap_details": null,
"recipient": {
"id": "recipient_123",
"account_number": "0123456789",
"account_name": "John Doe",
"amount": 50000,
"currency": "NGN",
"bank_name": "Access Bank",
"bank_code": "044",
"status": "SUCCESSFUL",
"routing_number": null,
"email": null
}
},
{
"id": "txn_swap_001",
"business_id": "business_123",
"business_customer_id": null,
"business_wallet_id": "wallet_usd_001",
"status": "SUCCESSFUL",
"refund_status": null,
"type": "swap",
"reference": "swap_ref_001",
"external_reference": null,
"currency": "USD",
"amount": 100,
"amount_without_fee": 99,
"fee": 1,
"rate": null,
"date": "2026-03-13T11:45:00.000000Z",
"payee_collection_email": null,
"source_information": {
"collection_email": null,
"collection_name": null
},
"swap_details": {
"from_business_wallet_id": "wallet_usd_001",
"to_business_wallet_id": "wallet_ngn_001",
"from_currency": "USD",
"from_amount": 100,
"from_amount_without_fee": 99,
"to_currency": "NGN",
"to_amount": 160000,
"amount_type": "from",
"exchange_rate": 1600
},
"recipient": null
}
],
"links": {
"first": "https://api-prod.blaaiz.com/api/external/transaction?page=1",
"last": "https://api-prod.blaaiz.com/api/external/transaction?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api-prod.blaaiz.com/api/external/transaction",
"per_page": 10,
"to": 3,
"total": 3
}
}{
"message": "Invalid or missing access token"
}{
"message": "The given data was invalid.",
"errors": {
"type": [
"The selected type is invalid."
],
"end_date": [
"The end date must be a date after or equal to start date."
]
}
}List transactions
Retrieve a paginated list of completed API transactions for your business. You can filter by date range, status, customer, wallet, and transaction type. Use type: SWAP to return only swap transactions. Required scope: transaction:read.
curl --request POST \
--url https://api-prod.blaaiz.com/api/external/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2026-03-01",
"end_date": "2026-03-13",
"status": "SUCCESSFUL",
"type": "SWAP"
}
'{
"message": "Transactions retrieved successfully",
"data": [
{
"id": "txn_collection_001",
"business_id": "business_123",
"business_customer_id": "customer_123",
"business_wallet_id": "wallet_ngn_001",
"status": "SUCCESSFUL",
"refund_status": null,
"type": "collection",
"reference": "collection_ref_001",
"external_reference": "NGN-COLLECTION-001",
"currency": "NGN",
"amount": 50000,
"amount_without_fee": 50000,
"fee": 0,
"rate": null,
"date": "2026-03-13T09:10:00.000000Z",
"payee_collection_email": "customer@company.com",
"source_information": {
"collection_email": "collections@blaaiz.com",
"collection_name": "John Doe"
},
"swap_details": null,
"recipient": null
},
{
"id": "txn_payout_001",
"business_id": "business_123",
"business_customer_id": "customer_123",
"business_wallet_id": "wallet_ngn_001",
"status": "SUCCESSFUL",
"refund_status": null,
"type": "payout",
"reference": "payout_ref_001",
"external_reference": "NGN-PAYOUT-001",
"currency": "NGN",
"amount": 50000,
"amount_without_fee": 49500,
"fee": 500,
"rate": null,
"date": "2026-03-13T10:30:00.000000Z",
"payee_collection_email": null,
"source_information": {
"collection_email": null,
"collection_name": null
},
"swap_details": null,
"recipient": {
"id": "recipient_123",
"account_number": "0123456789",
"account_name": "John Doe",
"amount": 50000,
"currency": "NGN",
"bank_name": "Access Bank",
"bank_code": "044",
"status": "SUCCESSFUL",
"routing_number": null,
"email": null
}
},
{
"id": "txn_swap_001",
"business_id": "business_123",
"business_customer_id": null,
"business_wallet_id": "wallet_usd_001",
"status": "SUCCESSFUL",
"refund_status": null,
"type": "swap",
"reference": "swap_ref_001",
"external_reference": null,
"currency": "USD",
"amount": 100,
"amount_without_fee": 99,
"fee": 1,
"rate": null,
"date": "2026-03-13T11:45:00.000000Z",
"payee_collection_email": null,
"source_information": {
"collection_email": null,
"collection_name": null
},
"swap_details": {
"from_business_wallet_id": "wallet_usd_001",
"to_business_wallet_id": "wallet_ngn_001",
"from_currency": "USD",
"from_amount": 100,
"from_amount_without_fee": 99,
"to_currency": "NGN",
"to_amount": 160000,
"amount_type": "from",
"exchange_rate": 1600
},
"recipient": null
}
],
"links": {
"first": "https://api-prod.blaaiz.com/api/external/transaction?page=1",
"last": "https://api-prod.blaaiz.com/api/external/transaction?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api-prod.blaaiz.com/api/external/transaction",
"per_page": 10,
"to": 3,
"total": 3
}
}{
"message": "Invalid or missing access token"
}{
"message": "The given data was invalid.",
"errors": {
"type": [
"The selected type is invalid."
],
"end_date": [
"The end date must be a date after or equal to start date."
]
}
}Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Body
Filter transactions created on or after this date.
Filter transactions created on or before this date. Must be the same as or after start_date.
Filter by business wallet ID.
Filter by transaction type.
SEND_MONEY, FUND_WALLET, SWAP Filter by transaction status. EXPIRED returns collections that were not completed before their expiry time.
FAILED, SUCCESSFUL, EXPIRED Filter by business customer ID.
Filter by the reference that you supplied on the payout or the collection.
Was this page helpful?